import { maskcek, rcp1, rcp2, rcp3, rcp4, rekan1, rekan2, rekan3, rekan4 } from "../asset";


// data.json
export const data = {
    title: "Solusi Bisnis",
    subtitle: "Pilihan Terbaik untuk Corporate Business",
    tabs: [
      { name: "Rekan HR", key: "hr" },
      { name: "Rekan Doku", key: "doku" },
      { name: "Rekan LLM", key: "llm" },
      { name: "Rekan Veri", key: "veri" }
    ],
    content: {
      hr: {
        title: "Rekan HR – Transformasi Digital di Bidang Sumber Daya Manusia",
        description:
          "Perusahaan besar dengan jumlah karyawan yang masif memerlukan sistem HR yang efisien dan terintegrasi. Rekan HR menawarkan solusi digital untuk mengelola SDM secara efektif.",
        image: rcp1,
        features: [
          {
            title: "Automasi HR Komprehensif",
            description:
              "Otomatiskan proses penggajian, manajemen kinerja, rekrutmen, dan administrasi karyawan dalam satu platform.",
            icon: maskcek
          },
          {
            title: "Analisis Kinerja SDM",
            description:
              "Dapatkan laporan analisis mendalam mengenai produktivitas dan kinerja tim untuk mendukung pengembangan SDM.",
            icon: maskcek
          }
        ]
      },
      doku: {
        title: "Rekan Doku – Otomasi Dokumen untuk Skala Operasi yang Lebih Besar",
        description:
          "Rekan Doku mendukung perusahaan besar dalam mengelola ribuan dokumen dengan aman dan efisien. Solusi ini dirancang untuk mempercepat proses bisnis sekaligus menjaga kepatuhan terhadap regulasi.",
        image: rcp2,
        features: [
          {
            title: "Autentikasi Dokumen Legal",
            description:
              "Proses penandatanganan dokumen menjadi lebih aman dan efisien dengan e-Meterai dan tanda tangan digital yang diakui secara hukum.",
            icon: maskcek
          },
          {
            title: "Integrasi Sistem Dokumen",
            description:
              "Kelola dan arsipkan dokumen penting secara otomatis dengan sistem terpusat yang terintegrasi dengan workflow perusahaan.",
            icon: maskcek
          }
        ]
      },
      llm: {
        title: "Rekan LLM – Optimalisasi Strategi Bisnis dengan Kecerdasan Buatan",
        description:
          "Perusahaan besar membutuhkan analisis data yang mendalam dan akurat untuk mendukung keputusan strategis. Rekan LLM menghadirkan solusi AI yang dapat memproses data dalam skala besar dan memberikan insight berharga.",
        image: rcp3,
        features: [
          {
            title: "Prediksi Pasar dan Risiko",
            description:
              "Gunakan AI untuk mengidentifikasi tren pasar dan meminimalisir risiko bisnis melalui prediksi yang akurat.",
            icon: maskcek
          },
          {
            title: "Integrasi AI ke Proses Bisnis",
            description:
              "Sesuaikan solusi AI dengan kebutuhan spesifik perusahaan untuk mendukung inovasi dan pengembangan bisnis.",
            icon: maskcek
          }
        ]
      },
      veri: {
        title: "Rekan Veri – Perlindungan Data dan Mitigasi Risiko Bisnis",
        description:
          "Perusahaan besar memerlukan keakuratan data yang tinggi untuk mendukung proses bisnis dan mitigasi risiko. Rekan Veri menyediakan verifikasi data yang cepat dan akurat untuk memastikan kelancaran bisnis.",
        image: rcp4,
        features: [
          {
            title: "Verifikasi Data Real-Time",
            description:
              "Validasi identitas pelanggan, mitra bisnis, atau karyawan secara instan untuk mendukung kepatuhan dan keamanan perusahaan.",
            icon: maskcek
          },
          {
            title: "Pengurangan Risiko Fraud",
            description:
              "Cegah potensi penipuan dengan verifikasi data yang komprehensif dan terintegrasi.3",
            icon: maskcek
          }
        ]
      }
    }
  };